package cokr.xit.fims.base;


import cokr.xit.foundation.component.QueryRequest;

public class OgdpQuery extends QueryRequest {
	private static final long serialVersionUID = 1L;

	private String sggCd;				// 시군구 코드
	private String deptCd;				// 부서 코드
	private String instCd; 				// 기관 코드
	private String useYn; 				// 사용 여부
	private String delYn;				// 삭제 여부


	public String getSggCd() {
		return ifEmpty(sggCd, () -> null);
	}

	public <T extends OgdpQuery> T setSggCd(String sggCd) {
		this.sggCd = sggCd;
		return self();
	}

	public String getDeptCd() {
		return ifEmpty(deptCd, () -> null);
	}

	public <T extends OgdpQuery> T setDeptCd(String deptCd) {
		this.deptCd = deptCd;
		return self();
	}

	public String getInstCd() {
		return ifEmpty(instCd, () -> null);
	}

	public <T extends OgdpQuery> T setInstCd(String instCd) {
		this.instCd = instCd;
		return self();
	}

	public String getUseYn() {
		return ifEmpty(useYn, () -> null);
	}

	public <T extends OgdpQuery> T setUseYn(String useYn) {
		this.useYn = useYn;
		return self();
	}

	public String getDelYn() {
		return ifEmpty(delYn, () -> null);
	}

	public <T extends OgdpQuery> T setDelYn(String delYn) {
		this.delYn = delYn;
		return self();
	}
}